# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
Name:		msgpack
Version:	0.5.7
Release:	alt1_3
Summary:	Binary-based efficient object serialization library
Group:		System/Libraries

License:	ASL 2.0
URL:		http://msgpack.org
Source0:	http://msgpack.org/releases/cpp/%{name}-%{version}.tar.gz
Patch0:		msgpack-gtest-implicit-dso.patch

# for regenerating configure
BuildRequires:	libtool
# for %%check
BuildRequires:	libgtest-devel
BuildRequires:	zlib-devel
Source44: import.info

%description
MessagePack is a binary-based efficient object serialization
library. It enables to exchange structured objects between many
languages like JSON. But unlike JSON, it is very fast and small.


%package devel
Summary:	Libraries and header files for %{name}
Group:		Development/C
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
Libraries and header files for %{name}


%prep
%setup -q
%patch0 -p1 -b .gtest-implicit-dso


%build
autoreconf -f -i
%configure --disable-static
make %{?_smp_mflags}


%check
make check


%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f '{}' ';'


%files
%doc AUTHORS COPYING ChangeLog LICENSE NOTICE README README.md
%{_libdir}/*.so.*

%files devel
%{_includedir}/*
%{_libdir}/*.so


%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.5.7-alt1_3
- initial fc import

